Debian Bug report logs - #558412
binutils-dev: Please provide libbfd_pic.a

version graph

Package: binutils-dev; Maintainer for binutils-dev is Matthias Klose <doko@debian.org>; Source for binutils-dev is src:binutils.

Reported by: "Roberto C. Sanchez" <roberto@connexer.com>

Date: Sat, 28 Nov 2009 18:12:01 UTC

Severity: normal

Tags: wontfix

Found in version binutils/2.18.1~cvs20080103-7

Done: Matthias Klose <doko@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, 537744@bugs.debian.org, Matthias Klose <doko@debian.org>:
Bug#558412; Package binutils-dev. (Sat, 28 Nov 2009 18:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Roberto C. Sanchez" <roberto@connexer.com>:
New Bug report received and forwarded. Copy sent to 537744@bugs.debian.org, Matthias Klose <doko@debian.org>. (Sat, 28 Nov 2009 18:12:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Roberto C. Sanchez" <roberto@connexer.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: binutils-dev: Please provide libbfd_pic.a
Date: Sat, 28 Nov 2009 13:10:22 -0500
Package: binutils-dev
Version: 2.18.1~cvs20080103-7
Severity: normal

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

In order to solve #537744 (filed against oprofile), it is necessary for
binutils-dev to provide a libbfd_pic.a library.  This is like what is
already done for libiberity_pic.a.

Regards,

- -Roberto

- -- System Information:
Debian Release: 5.0.3
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-2-686 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages binutils-dev depends on:
ii  binutils            2.18.1~cvs20080103-7 The GNU assembler, linker and bina

binutils-dev recommends no packages.

binutils-dev suggests no packages.

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAksRZ44ACgkQ5SXWIKfIlGQb8QCfWIpREWKMwudNM1cyqgaYek56
JbQAoMYJ6mK/8hmdRoPebYWQFvLL1ZuM
=qp8z
-----END PGP SIGNATURE-----




Added indication that bug 558412 blocks 537744 Request was from Roberto C. Sanchez <roberto@connexer.com> to control@bugs.debian.org. (Sat, 28 Nov 2009 18:21:03 GMT) Full text and rfc822 format available.

Added tag(s) wontfix. Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. (Sat, 09 Jan 2010 11:12:07 GMT) Full text and rfc822 format available.

Reply sent to Matthias Klose <doko@debian.org>:
You have taken responsibility. (Sat, 09 Jan 2010 11:12:13 GMT) Full text and rfc822 format available.

Notification sent to "Roberto C. Sanchez" <roberto@connexer.com>:
Bug acknowledged by developer. (Sat, 09 Jan 2010 11:12:13 GMT) Full text and rfc822 format available.

Message #14 received at 558412-done@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: "Roberto C. Sanchez" <roberto@connexer.com>, 558412-done@bugs.debian.org
Cc: Debian Bug Tracking System <control@bugs.debian.org>
Subject: Re: Bug#558412: binutils-dev: Please provide libbfd_pic.a
Date: Sat, 09 Jan 2010 12:05:58 +0100
tags 558412 + wontfix
thanks

On 28.11.2009 19:10, Roberto C. Sanchez wrote:
> Package: binutils-dev
> Version: 2.18.1~cvs20080103-7
> Severity: normal
>
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
>
> In order to solve #537744 (filed against oprofile), it is necessary for
> binutils-dev to provide a libbfd_pic.a library.  This is like what is
> already done for libiberity_pic.a.

won't fix. oprofile can be built using binary NMU's when the bfd version changes.




Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#558412; Package binutils-dev. (Sat, 09 Jan 2010 14:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Roberto C. Sanchez" <roberto@connexer.com>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. (Sat, 09 Jan 2010 14:45:03 GMT) Full text and rfc822 format available.

Message #19 received at 558412@bugs.debian.org (full text, mbox):

From: "Roberto C. Sanchez" <roberto@connexer.com>
To: Matthias Klose <doko@debian.org>
Cc: 558412@bugs.debian.org, Debian Developer Mailing List <debian-devel@lists.debian.org>
Subject: Re: Bug#558412: binutils-dev: Please provide libbfd_pic.a
Date: Sat, 09 Jan 2010 09:42:02 -0500
[Message part 1 (text/plain, inline)]
Matthias Klose wrote:
> tags 558412 + wontfix
> thanks
> 
> On 28.11.2009 19:10, Roberto C. Sanchez wrote:
>> Package: binutils-dev
>> Version: 2.18.1~cvs20080103-7
>> Severity: normal
>>
>> -----BEGIN PGP SIGNED MESSAGE-----
>> Hash: SHA1
>>
>> In order to solve #537744 (filed against oprofile), it is necessary for
>> binutils-dev to provide a libbfd_pic.a library.  This is like what is
>> already done for libiberity_pic.a.
> 
> won't fix. oprofile can be built using binary NMU's when the bfd version
> changes.

I am not sure that is really a viable solution.  What do others thing?
Is requiring a binNMU of oprofile each time that the bfd version changes
something that makes sense?

Regards,

-Roberto

-- 
Roberto C. Sánchez
http://people.connexer.com/~roberto
http://www.connexer.com

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#558412; Package binutils-dev. (Fri, 15 Jan 2010 02:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Roberto C. Sanchez" <roberto@connexer.com>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. (Fri, 15 Jan 2010 02:24:03 GMT) Full text and rfc822 format available.

Message #24 received at 558412@bugs.debian.org (full text, mbox):

From: "Roberto C. Sanchez" <roberto@connexer.com>
To: Debian Release Mailing List <debian-release@lists.debian.org>
Cc: Matthias Klose <doko@debian.org>, 558412@bugs.debian.org
Subject: Re: Bug#558412: binutils-dev: Please provide libbfd_pic.a
Date: Thu, 14 Jan 2010 21:21:55 -0500
[Message part 1 (text/plain, inline)]
This did not seem to get any attention on debian-devel, so I am cross
posting to debian-release.  I would really be interested to know if
others think that the binNMU approach suggested by Matthias is
acceptable and/or viable.

Regards,

-Roberto

Roberto C. Sanchez wrote:
> Matthias Klose wrote:
>> tags 558412 + wontfix
>> thanks
>>
>> On 28.11.2009 19:10, Roberto C. Sanchez wrote:
>>> Package: binutils-dev
>>> Version: 2.18.1~cvs20080103-7
>>> Severity: normal
>>>
>>> -----BEGIN PGP SIGNED MESSAGE-----
>>> Hash: SHA1
>>>
>>> In order to solve #537744 (filed against oprofile), it is necessary for
>>> binutils-dev to provide a libbfd_pic.a library.  This is like what is
>>> already done for libiberity_pic.a.
>> won't fix. oprofile can be built using binary NMU's when the bfd version
>> changes.
> 
> I am not sure that is really a viable solution.  What do others thing?
> Is requiring a binNMU of oprofile each time that the bfd version changes
> something that makes sense?
> 
> Regards,
> 
> -Roberto
> 


-- 
Roberto C. Sánchez
http://people.connexer.com/~roberto
http://www.connexer.com

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#558412; Package binutils-dev. (Fri, 15 Jan 2010 07:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luk Claes <luk@debian.org>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. (Fri, 15 Jan 2010 07:00:03 GMT) Full text and rfc822 format available.

Message #29 received at 558412@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: "Roberto C. Sanchez" <roberto@connexer.com>
Cc: Debian Release Mailing List <debian-release@lists.debian.org>, Matthias Klose <doko@debian.org>, 558412@bugs.debian.org
Subject: Re: Bug#558412: binutils-dev: Please provide libbfd_pic.a
Date: Fri, 15 Jan 2010 07:57:51 +0100
Roberto C. Sanchez wrote:
> This did not seem to get any attention on debian-devel, so I am cross
> posting to debian-release.  I would really be interested to know if
> others think that the binNMU approach suggested by Matthias is
> acceptable and/or viable.

Unless it's an option to include oprofile into binutils source package,
I don't see what's wrong with the binNMU approach?

Cheers

Luk

> Roberto C. Sanchez wrote:
>> Matthias Klose wrote:
>>> tags 558412 + wontfix
>>> thanks
>>>
>>> On 28.11.2009 19:10, Roberto C. Sanchez wrote:
>>>> Package: binutils-dev
>>>> Version: 2.18.1~cvs20080103-7
>>>> Severity: normal
>>>>
>>>> -----BEGIN PGP SIGNED MESSAGE-----
>>>> Hash: SHA1
>>>>
>>>> In order to solve #537744 (filed against oprofile), it is necessary for
>>>> binutils-dev to provide a libbfd_pic.a library.  This is like what is
>>>> already done for libiberity_pic.a.
>>> won't fix. oprofile can be built using binary NMU's when the bfd version
>>> changes.
>> I am not sure that is really a viable solution.  What do others thing?
>> Is requiring a binNMU of oprofile each time that the bfd version changes
>> something that makes sense?
>>
>> Regards,
>>
>> -Roberto
>>
> 
> 





Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#558412; Package binutils-dev. (Fri, 15 Jan 2010 08:36:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. (Fri, 15 Jan 2010 08:36:07 GMT) Full text and rfc822 format available.

Message #34 received at 558412@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: Luk Claes <luk@debian.org>
Cc: "Roberto C. Sanchez" <roberto@connexer.com>, Debian Release Mailing List <debian-release@lists.debian.org>, Matthias Klose <doko@debian.org>, 558412@bugs.debian.org
Subject: Re: Bug#558412: binutils-dev: Please provide libbfd_pic.a
Date: Fri, 15 Jan 2010 09:32:52 +0100
On Fri, Jan 15, 2010 at 07:57:51AM +0100, Luk Claes wrote:
> Roberto C. Sanchez wrote:
> > This did not seem to get any attention on debian-devel, so I am cross
> > posting to debian-release.  I would really be interested to know if
> > others think that the binNMU approach suggested by Matthias is
> > acceptable and/or viable.
> 
> Unless it's an option to include oprofile into binutils source package,
> I don't see what's wrong with the binNMU approach?

Another option would be to have #548715 addressed, and stop caring about
oprofile.

Mike




Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#558412; Package binutils-dev. (Fri, 15 Jan 2010 09:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. (Fri, 15 Jan 2010 09:24:03 GMT) Full text and rfc822 format available.

Message #39 received at 558412@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Luk Claes <luk@debian.org>
Cc: "Roberto C. Sanchez" <roberto@connexer.com>, Debian Release Mailing List <debian-release@lists.debian.org>, Matthias Klose <doko@debian.org>, 558412@bugs.debian.org
Subject: Re: Bug#558412: binutils-dev: Please provide libbfd_pic.a
Date: Fri, 15 Jan 2010 09:20:39 +0000
On Fri, Jan 15, 2010 at 07:57:51 +0100, Luk Claes wrote:

> Roberto C. Sanchez wrote:
> > This did not seem to get any attention on debian-devel, so I am cross
> > posting to debian-release.  I would really be interested to know if
> > others think that the binNMU approach suggested by Matthias is
> > acceptable and/or viable.
> 
> Unless it's an option to include oprofile into binutils source package,
> I don't see what's wrong with the binNMU approach?
> 
That would probably work if binutils had a sane shlibs file.  Currently
it allows linking against libbfd and generates bogus unversioned
dependency on binutils.

Cheers,
Julien




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 13 Feb 2010 07:28:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 07:00:49 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.